gnutls_x509_crl_get_issuer_dn_by_oid(3)

NAME
gnutls_x509_crl_get_issuer_dn_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_get_issuer_dn_by_oid(gnutls_x509_crl_t crl, const char * oid, int indx, unsigned int raw_flag, void * buf, size_t * sizeof_buf);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

const char * oid
    holds an Object Identified in null terminated string

int indx
    In case multiple same OIDs exist in the RDN, this specifies which to send. Use (0) to get the first one.

unsigned int raw_flag
    If non-zero returns the raw DER data of the DN part.

void * buf
    a pointer to a structure to hold the peer's name (may be null)

size_t * sizeof_buf
    initially holds the size of buf

DESCRIPTION
This function will extract the part of the name of the CRL issuer specified by the given OID. The output will be encoded as described in RFC4514. The output string will be ASCII or UTF-8 encoded, depending on the certificate data. Some helper macros with popular OIDs can be found in gnutls/x509.h If raw flag is (0), this function will only return known OIDs as text. Other OIDs will be DER encoded, as described in RFC4514 -- in hex format with a '#' prefix. You can check about known OIDs using gnutls_x509_dn_oid_known(). If buf is null then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the sizeof_buf will be updated with the required size, and 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/